libmapcache1_1.2.1-2+b1_amd64.deb


Advertisement

Description

libmapcache1 - tile caching server - shared library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libmapcache1
Package version 1.2.1
Package release 2+b1
Package architecture amd64
Package type deb
Installed size 329 B
Download size 98.95 KB
Official Mirror ftp.br.debian.org
This package contains the shared library.
MapCache is a server that implements tile caching to speed up access to WMS
layers. The primary objectives are to be fast and easily deployable, while
offering the essential features (and more!) expected from a tile caching
solution.

Alternatives

Package Version Architecture Repository
libmapcache1_1.2.1-2+b1_i386.deb 1.2.1 i386 Debian Main
libmapcache1 - - -

Requires

Name Value
libapr1 >= 1.3.2
libaprutil1 >= 1.2.7+dfsg
libc6 >= 2.14
libcairo2 >= 1.2.4
libcurl3-gnutls >= 7.16.2
libfreetype6 >= 2.2.1
libfribidi0 >= 0.19.2
libgd3 >= 2.1.0~alpha~
libgdal1h >= 1.8.0
libgeos-c1 >= 3.4.2
libgif4 >= 4.1.4
libglib2.0-0 >= 2.12.0
libjpeg62-turbo >= 1:1.3.1
libmapserver1 >= 6.2.1
libpcre3 >= 8.10
libpixman-1-0 >= 0.30.0
libpng12-0 >= 1.2.13-4
libpq5 -
libproj0 >= 4.8.0
librsvg2-2 >= 2.14.4
libsqlite3-0 >= 3.6.0
libtiff5 >= 4.0.3
libxml2 >= 2.6.27
multiarch-support -
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package libmapcache1_1.2.1-2+b1_amd64.deb
Source Package mapcache

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmapcache1 deb package:
    # sudo apt-get install libmapcache1

Files

Path
/usr/lib/x86_64-linux-gnu/libmapcache.so.1
/usr/lib/x86_64-linux-gnu/libmapcache.so.1.2.1
/usr/share/doc/libmapcache1/README
/usr/share/doc/libmapcache1/changelog.Debian.amd64.gz
/usr/share/doc/libmapcache1/changelog.Debian.gz
/usr/share/doc/libmapcache1/copyright
/usr/share/lintian/overrides/libmapcache1

Changelog

2014-02-28 - Bas Couwenberg <sebastic@xs4all.nl>
mapcache (1.2.1-2) unstable; urgency=low
* Add gpb.conf to use pristine-tar by default.
* Use dh commands instead of CMake directly.
* Enable parallel builds.
* Drop lintian override for debian-watch-may-check-gpg-signature,
shouldn't override pedantic tags.
* Don't create /var/cache/mapcache in postinst,
use libapache2-mod-mapcache.dirs instead.
(closes: #740327)
* Also remove generated man pages on clean.
2014-01-03 - Bas Couwenberg <sebastic@xs4all.nl>
mapcache (1.2.1-1) unstable; urgency=low
* New upstream release.
* Bump Standards-Version to 3.9.5, no changes required.
* Drop soname.patch, applied upstream.
* Add lintian override for debian-watch-may-check-gpg-signature,
upstream doesn't provide signatures for verification.
* Add lintian override for no-upstream-changelog, no changes in source.
2013-12-12 - Francesco Paolo Lovergine <frankie@debian.org>
mapcache (1.2.0-2) unstable; urgency=low
[ Bas Couwenberg ]
* Change priority to optional.
[ Francesco Paolo Lovergine ]
* Changed to libgdal-dev b-d.
2013-09-11 - Bas Couwenberg <sebastic@xs4all.nl>
mapcache (1.2.0-1) unstable; urgency=low
* New upstream release 1.2.0. (closes: #712377)
* Update watch file for github releases.
* Build system changed from autotools to cmake.
* Drop patches:
- includepath.patch (no longer required)
- fixwithmapserv.patch (libtool no longer used)
- libmapcache_hardening.patch (libtool no longer used)
- demo_service_js_typos.patch (applied upstream)
- demo_service_valid_js_var.patch (applied upstream)
- demo_service_html5_doctype.patch (applied upstream)
- demo_service_html_charset.patch (applied upstream)
- demo_service_list_newlines.patch (applied upstream)
- demo_service_page_height.patch (applied upstream)
- demo_service_indenting.patch (applied upstream)
- mapcache_seed_non_zero_exit.patch (applied upstream)
- mapcache_seed_delete_mode.patch (applied upstream)
- mapcache_seed_typo.patch (applied upstream)
* Use pkgkde-gensymbols & pkgkde-symbolshelper to handle symbols.
* Add patch to use a versioned SONAME.
* SONAME of libmapcache changed from libmapcache.so.0 to
libmapcache.so.1.
* Update libmapcache symbols for 1.2.0 on amd64.
* Enable verbose make output.
* Call ldconfig in libmapcache postinst and postrm.
* Update libmapserver dependency for MapServer 6.4.0.
* Add patch to include mapserver cmake package.
* Build-Depend on libtiff-dev for libtiff5 transition.

See Also

Package Description
libmapi-dev_2.2-6+deb8u1_amd64.deb Development files for the MAPI client library
libmapi0_2.2-6+deb8u1_amd64.deb Client library for the MAPI protocol
libmapiadmin-dev_2.2-6+deb8u1_amd64.deb Development files for the MAPI administration client library
libmapiadmin0_2.2-6+deb8u1_amd64.deb Administration client library for the MAPI (Exchange/Outlook) protocol
libmapipp-dev_2.2-6+deb8u1_amd64.deb Development files for the C++ MAPI client library
libmapipp0_2.2-6+deb8u1_amd64.deb Library files for the C++ MAPI client library
libmapiproxy-dev_2.2-6+deb8u1_amd64.deb Development files for the MAPI proxy library
libmapiproxy0_2.2-6+deb8u1_amd64.deb Proxy library for the MAPI (Exchange/Outlook) protocol
libmapistore-dev_2.2-6+deb8u1_amd64.deb Storage library for MAPI objects - development files
libmapistore0_2.2-6+deb8u1_amd64.deb Storage library for MAPI objects
libmapnik-dev_2.2.0+ds1-7+b2_amd64.deb C++/Python toolkit for developing GIS applications (devel)
libmapnik2-dev_2.2.0+ds1-7_all.deb C++/Python toolkit for developing GIS applications (dummy)
libmapnik2.2_2.2.0+ds1-7+b2_amd64.deb C++/Python toolkit for developing GIS applications (libraries)
libmapscript-java_6.4.1-5+deb8u3_amd64.deb Java library for MapServer
libmapscript-perl_6.4.1-5+deb8u3_amd64.deb Perl MapServer module
Advertisement
Advertisement